package Servlet;

import Datos.EquipoDB;
import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import Datos.MiembrosClubDB;
import Modelo.CodClub;
import Modelo.Equipo;
import Modelo.MiembrosClub;
import Modelo.Usuario;
import java.util.ArrayList;

public class CrearEquipoServlet extends HttpServlet {

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        String encoding = "UTF-8";

        String url;
        HttpSession sesion = request.getSession();
        CodClub club = (CodClub) sesion.getAttribute("club");
        Usuario usuario =(Usuario) request.getSession().getAttribute("usuario");
        if(usuario.getTipo_usuario().equals("E")){
            ArrayList <MiembrosClub> lista_entrenadores = new ArrayList <MiembrosClub>();
            MiembrosClub mc = new MiembrosClub(usuario.getId_usuario(),usuario.getId_usuario(),usuario.getTipo_usuario());
            lista_entrenadores.add(mc);
            request.setAttribute("lista_entrenadores", lista_entrenadores);
        }else{
            ArrayList <MiembrosClub> lista_entrenadores = MiembrosClubDB.getMiembrosClub(club.getNombre_club());
            request.setAttribute("lista_entrenadores", lista_entrenadores);
        }
        String operacion = request.getParameter("operacion");
        if(operacion.equals("MOD")){
            String id_equipo = request.getParameter("equipo");
            Equipo equipo = EquipoDB.getEquipo(id_equipo);
            request.setAttribute("equipo", equipo);
        }
        url = "/crearEquipo.jsp?operacion="+operacion;
        RequestDispatcher dispatcher = request.getRequestDispatcher(url);
        dispatcher.forward(request, response);    
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }
}
